<? 
require_once('../../../../conf/connection.php');

 $numero=$_GET["num"];
  $nombreuser=$_GET["nombreuser"];
 $fecha = date("Y-m-d");
 $hora =  date("H:i:s");
 
 //$sucu =$_GET["sucu"];
  
  //$query_sucu="SELECT * FROM sucu WHERE codsucu='$sucu' ";
	//   $res_sucu=mysql_query($query_sucu);
	  // $nom_sucu=mysql_result($res_sucu,0,"nombre");
  
  $query_num="SELECT * FROM detalles_pedido_bd  WHERE numero='$numero'";
  $res_num=mysql_query($query_num); 
  $nr_ide=mysql_num_rows($res_num);
 
  $query_sum="SELECT sum(valor_total) AS total_venta FROM detalles_pedido_bd  WHERE numero='$numero'";
  $res_sum=mysql_query($query_sum); 
  $total=mysql_result($res_sum,0,"total_venta");
  if($nr_ide<>0){
	
?>
<!DOCTYPE html>
<html dir="ltr" lang="en-US"><head>
    <meta charset="utf-8">
    <title>mod_venta</title>
    <meta name="viewport" content="initial-scale = 1.0, maximum-scale = 1.0, user-scalable = no, width = device-width">
    <script type='text/javascript' src='../../../../jquery-1.7.1.min.js'></script>
    <!--[if lt IE 9]><script src="https://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
    <link rel="stylesheet" href="../../../../style.css" media="screen">
    <!--[if lte IE 7]><link rel="stylesheet" href="style.ie7.css" media="screen" /><![endif]-->
    <link rel="stylesheet" href="../../../../style.responsive.css" media="all">

    <script src="../../../../jquery.js"></script>
    <script src="../../../../script.js"></script>
    <script src="../../../../script.responsive.js"></script>



<style>.art-content .art-postcontent-0 .layout-item-0 { border-top-width:1px;border-top-style:solid;border-top-color:#B1C9C7;margin-top: 10px;margin-bottom: 10px;  }
.art-content .art-postcontent-0 .layout-item-1 { border-right-style:solid;border-right-width:1px;border-right-color:#B1C9C7; padding-right: 10px;padding-left: 10px;  }
.ie7 .art-post .art-layout-cell {border:none !important; padding:0 !important; }
.ie6 .art-post .art-layout-cell {border:none !important; padding:0 !important; }

</style>
<script>

function volver(){
	  window.history.back();
	}
	
function boleta(){
	  window.location.href="add_bol.php?numero=<? echo $numero ?>
	  &pago="+document.getElementById('pago').value+"";
	
	}
	
function sndoc(){
	  window.location.href="add_sndoc.php?numero=<? echo $numero ?>
	  &efectivo="+document.getElementById('efectivo').value+"";
	}

function imp() {
	
	 var descuento=document.getElementById("descuento").value;
	 
	window.open("imp.php?descuento=" + descuento + "&numero=<? echo $numero ?>");

	
}
function imp2() {
	
	 var descuento=document.getElementById("descuento").value;
	 
	window.open("imp2.php?descuento=" + descuento + "&numero=<? echo $numero ?>");

	
}


function valida(){
	  miPopup = window.open("valida/index.php?sucu=<? echo $sucu ?>&nombreuser=<? echo $nombreuser ?>","cant_","width=500,height=500,top=10,left=300,status=no, scrollbars=no, toolbars=no, menubar=no,resizable=yes,directories=no");
			miPopup.focus();
	
	}


function info (elEvento) { 
         evento = elEvento || window.event;
         k=evento.keyCode; //número de código de la tecla.
		       //finalizar con boleta 
          if (k==119){
			   
	  window.location.href= "boleta.php?num=<? echo $numero ?>
	  &efectivo="+document.getElementById('efectivo').value+"";
			  
			  }
			  
		  //finalizar con factura 
          if (k==120){
			    
			    miPopup = window.open("factura.php?num=<? echo $numero?>
	  &efectivo="+document.getElementById('efectivo').value+""
	  ,"fac_","width=950,height=700,top=10,left=200,status=no,  scrollbars=no, toolbars=no, menubar=no,resizable=yes,directories=no");
	  miPopup.focus();
	  window.close();
			     window.close();
			  }
		 
		 //finalizar con cotizacion
		 if (k==121){
			    
			    miPopup = window.open("cotizacion.php?num=<? echo $numero?>
	  &efectivo="+document.getElementById('efectivo').value+""
	  ,"fac_","width=950,height=700,top=10,left=200,status=no,  scrollbars=no, toolbars=no, menubar=no,resizable=yes,directories=no");
	  miPopup.focus();
	  window.close();
			    
			  }
		 
		 		 
		 }
window.onload = function() {
document.onkeydown = info;
}
</script>

</head>
<body>
<div id="art-main">

<div class="art-sheet clearfix">
            <div class="art-layout-wrapper">
                <div class="art-content-layout">
                    <div class="art-content-layout-row">
                        <div class="art-layout-cell art-content"><article class="art-post art-article">
                                
                                                
                                <div class="art-postcontent art-postcontent-0 clearfix"><div class="art-content-layout">
    <div class="art-content-layout-row">
    <div class="art-layout-cell layout-item-1" style="width: 100%" >
       
        <p>
      <div id='suma'> 
       <form action="add_bol.php" id="final" name="final" method="post"> 
       <input type="hidden" id="numero" name="numero" value="<? echo $numero ?>" > 
       <input type="hidden" id="sucu" name="sucu" value="<? echo $sucu ?>" > 
       <input type="hidden" id="nombreuser" name="nombreuser" value="<? echo $nombreuser ?>" >   
          <table width="589" border="0">
  <tr>
    <td colspan="3" align="right"><h3>Solicitud de Productos (Bodega)</h3></td>
    </tr>
  <tr>
    <td colspan="3" align="right">Numero de solicitud: <? echo $numero; ?></td>
  </tr>
  <tr>
    <td colspan="3" align="right">Sucursal: <? echo $nom_sucu; ?></td>
  </tr>
  <tr>
    <td colspan="3" align="right">Fecha: <? echo $fecha; ?></td>
  </tr>
  <tr>
    <td colspan="3" align="right">
    <h3>Formas de Pago </h3> 
        <h4>
          
       <input type="radio" name="f_pagos" id="f_pagos" value="4" class="art-radiobutton" checked="CHECKED" > Cuenta Cliente
          </h4><br>
        <h3>Tipo de Documento</h3>
        <h4>
          <input name="doc" id="doc" type="radio"  value="1" class="art-radiobutton" checked="CHECKED" > Boletas
          <input name="doc" id="doc" type="radio" class="art-radiobutton"  value="10"  > Sin DOC 
          
          
          </h4>
    
    </td>
  </tr>
  <tr>
    <td colspan="3" align="right">&nbsp;</td>
  </tr>
  <tr>
    <td width="108">Total a pagar: </td>
    <td width="221"><div class='input'><input name="pago" type="text" id="pago" value="<? echo $total; ?>"
    style="font-size:18px" readonly="readonly" ></div></td>
    <td width="246">&nbsp;</td>
  </tr>
  <tr>
    <td>Paga con:</td>
    <td><div class='input'><input type="text" id="efectivo" name="efectivo" autofocus  style="font-size:18px" ></div></td>
    <td>&nbsp;</td>
    </tr>
  <tr>
    <td>Descuento: </td>
    <td><div class='input'><input name="descuento" type="text" autofocus id="descuento" style="font-size:18px;background-color:#CCC" value="0" readonly="readonly" ></div></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>Vuelto: </td>
    <td><div class='input'>
    <input type="text" id="total" name="total"  style="font-size:18px;background-color:#CCC" ></div></td>
    <td>&nbsp;</td>
    </tr>
  <tr>
    <td colspan="3" align="center">
    
    <input type="hidden" value="Guardar Registro" class="art-button" style="height:50px; width:120px;"> 
     <input type="submit" value="Siguiente" class="art-button" style="height:50px; width:120px;" >
     <input type="button" value="Volver atrás" class="art-button" style="height:50px; width:120px;" onClick="volver()">
    </td>
    </tr>
          </table>
</form>
        </div>
        <script type='text/javascript'>
        // Cada vez que se pulse una tecla, controlamos que sea numerica
        $("#suma input").keypress(function(event) {
            //obtenemos la tecla pulsada
            var valueKey=String.fromCharCode(event.which);
            //obtenemos el valor ascii de la tecla pulsada
            var keycode=event.which;
            
            // Si NO pulsamos un numero, un punto, la tecla suprimir
            // la tecla backspace o el simobolo "-" (45), cancelamos la pulsacion
            if(valueKey.search('[0-9|\.]')!=0 && keycode!=8 && keycode!=46 && keycode!=45)
            {
                // anulamos la pulsacion de la tecla
                return false;
            }
        });
        
        // evento que se ejecuta cada vez que se suelte la tecla en cualquiera de
        // los tres inputs
        $("#suma input").keyup(function(event) {
            calcular();
        });
        
        // Calculamos la suma de los dos valores
        function calcular()
        {
            var valor1=validarNumero('#pago');
            var valor2=validarNumero('#efectivo');
            var valor3=validarNumero('#descuento');
            
			var descuento=valor1*(valor3/100); 
			
			
			$("#total").val(valor1-valor2-descuento);
        }
        
        // Funcion para validar que el numero sea correcto, y para cambiar el color
        // del marco en caso de error
        function validarNumero(id)
        {
            if($.isNumeric($(id).val()))
            {
                $(id).css('border-color','#808080');
                return parseFloat($(id).val());
            }else if($(id).val()==""){
                $(id).css('border-color','#808080');
                return 0;
            }else{
                $(id).css('border-color','#f00');
                return 0;
            }
        }
    </script>
        </p>
    </div>
    </div>
</div>
<div class="art-content-layout-br layout-item-0">
</div></div>


</article></div>
                    </div>
                </div>
            </div>

    </div>
    
</div>


</body></html>
<? }else{?><script>alert("ERROR: No existen productos en el proceso de venta...");window.history.back(); </script> <? }?>